LIQUIDSOAP(1)

NAME
liquidsoap - programmable audio stream generator

SYNOPSIS
liquidsoap [option...] [script.liq|expression|audiofile]

DESCRIPTION
liquidsoap is an extensible and flexible audio stream generator, mainly used for streaming to a shoutcast/icecast server. It is also possible to output in a file, to speakers or as raw PCM stream. liquidsoap can perform any audio processing, mixing streams together, applying filters, generating sound procedurally, there is no limit but your imagination. Input files can be accessed through the network, using samba, ftp or speech synthesis. Recognized formats are MP3, Ogg/Vorbis, AAC and WAV. Liquidsoap also inputs HTTP streams, or from a soundcard. The system features lots of programming operators, including user requests, time-based selection, sum. Many of these features are optional, so it is possible that they are not enabled in your installation. script.liq is a liquidsoap script containing the settings and the source definitions. The script will be read from standard input if -- is given as script filename. Information about scripting liquidsoap is available on our website: http://savonet.sf.net/ If the parameter is an audio file then liquidsoap will attempt to decode it and will display the obtained metadata. If the parameter is not a file it will be treated as an expression which will be executed. It is a convenient way to test simple one-line scripts. In that case, the default is to have log messages on standard output and to disable the telnet server.

OPTIONS

-h  Print the description of a plugin: format, protocol, operator, etc.

-c, --check
    Only check the syntax of the script. It actually does a bit more, e.g. creating the sources, which includes checking a few URIs.

-q, --quiet
    Do not print log messages on standard output.

-v, --verbose
    Print log messages on standard output.

--debug
    Print debugging log messages.

-d, --daemon
    Run in daemon mode, i.e. detach and write a PID file.

-t, --enable-telnet
    Enable the telnet server interface.

-T, --disable-telnet
    Disable the telnet server interface.

-u, --enable-unix-socket
    Enable the UNIX socket server interface.

-U, --disable-unix-socket
    Disable the UNIX socket server interface.

--  Read script on standard input.

--list-plugins
    Human-readable List of all protocols, operators formats, metadata resolvers, outputs.

--list-plugins-xml
    XML list of all protocols, operators formats, metadata resolvers, outputs.

--no-pervasives
    Do not load pervasives script libraries

--help
    Show summary of options.

--conf-descr-key
    Describe a configuration key.

--conf-descr
    Display a described table of the configuration keys.

--conf-dump
    Dump the configuration state

SEE ALSO
Our website http://savonet.sf.net/ and the HTML documentation coming with your distribution of liquidsoap.

AUTHOR
David Baelde for Savonet <savonet-users@lists.sourceforge.net>